Package com.avaya.clientservices.call.conference

## Interface ActiveParticipantListener

- All Superinterfaces:
    `ParticipantListener`

      public interface ActiveParticipantListener
      extends ParticipantListener

  Interface that can be used to get feedback and updates from the active conference participant.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onParticipantApplicantSharingStatusChanged​(Participant participant)` | Called to report that a participant's application sharing status has changed.
    `void` | `onParticipantAudioStatusChanged​(Participant participant, ParticipantMediaStatus audioStatus)` | Called to report that a participant's audio has been changed.
    `void` | `onParticipantCameraRemoteControlSupportChanged​(Participant participant)` | Called to report that a participant's camera remote control support changed.
    `void` | `onParticipantConnectionStatusChanged​(Participant participant, ParticipantConnectionStatus connectionStatus)` | Called to report that a participant's conference connection status has changed.
    `void` | `onParticipantHandLowered​(Participant participant)` | Called to report that a participant's hand is lowered, either by the participant, or by a moderator who acknowledged the participant raising hand.
    `void` | `onParticipantHandRaised​(Participant participant)` | Called to report that a participant has raised hand.
    `void` | `onParticipantSetAsLecturer​(Participant participant)` | Called to report that the participant is now a lecturer.
    `void` | `onParticipantSetAsModerator​(Participant participant)` | Called to report that the participant is now a moderator.
    `void` | `onParticipantSetAsPresenter​(Participant participant)` | Called to report that the participant is now a presenter.
    `void` | `onParticipantUnsetAsLecturer​(Participant participant)` | Called to report that the participant is no longer a lecturer.
    `void` | `onParticipantUnsetAsModerator​(Participant participant)` | Called to report that the participant is no longer a moderator.
    `void` | `onParticipantUnsetAsPresenter​(Participant participant)` | Called to report that the participant is no longer a presenter.
    `void` | `onParticipantVideoStatusChanged​(Participant participant, ParticipantMediaStatus videoStatus)` | Called to report that a participant's video has been changed.

    - ### Methods inherited from interface com.avaya.clientservices.call.conference.ParticipantListener

      `onParticipantMatchedContactsChanged`

- - ### Method Detail

    - #### onParticipantApplicantSharingStatusChanged

          void onParticipantApplicantSharingStatusChanged​(Participant participant)

      Called to report that a participant's application sharing status has changed.
      Parameters:
        `participant` - `Participant` whose application sharing status has changed.

    - #### onParticipantConnectionStatusChanged

          void onParticipantConnectionStatusChanged​(Participant participant,
                                                    ParticipantConnectionStatus connectionStatus)

      Called to report that a participant's conference connection status has changed. This happens when, for example, the participant who is in the middle of joining the call (either dialing in, or dialed out towards by the conference system) has joined the call.
      Parameters:
        `participant` - `Participant` whose connection status has changed.
        `connectionStatus` - New `ParticipantConnectionStatus` of the participant.

    - #### onParticipantSetAsModerator

          void onParticipantSetAsModerator​(Participant participant)

      Called to report that the participant is now a moderator.
      Parameters:
        `participant` - `Participant` who has been assigned to be a moderator.

    - #### onParticipantUnsetAsModerator

          void onParticipantUnsetAsModerator​(Participant participant)

      Called to report that the participant is no longer a moderator.
      Parameters:
        `participant` - `Participant` who is no longer a moderator.

    - #### onParticipantSetAsLecturer

          void onParticipantSetAsLecturer​(Participant participant)

      Called to report that the participant is now a lecturer.
      Parameters:
        `participant` - `Participant` who has been assigned to be a lecturer.

    - #### onParticipantUnsetAsLecturer

          void onParticipantUnsetAsLecturer​(Participant participant)

      Called to report that the participant is no longer a lecturer.
      Parameters:
        `participant` - `Participant` who is no longer a lecturer.

    - #### onParticipantSetAsPresenter

          void onParticipantSetAsPresenter​(Participant participant)

      Called to report that the participant is now a presenter.
      Parameters:
        `participant` - `Participant` who has been assigned to be a presenter.

    - #### onParticipantUnsetAsPresenter

          void onParticipantUnsetAsPresenter​(Participant participant)

      Called to report that the participant is no longer a presenter.
      Parameters:
        `participant` - `Participant` who is no longer a presenter.

    - #### onParticipantVideoStatusChanged

          void onParticipantVideoStatusChanged​(Participant participant,
                                               ParticipantMediaStatus videoStatus)

      Called to report that a participant's video has been changed.
      Parameters:
        `participant` - `Participant` whose video status has changed.
        `videoStatus` - New video `ParticipantMediaStatus` status.

    - #### onParticipantAudioStatusChanged

          void onParticipantAudioStatusChanged​(Participant participant,
                                               ParticipantMediaStatus audioStatus)

      Called to report that a participant's audio has been changed.
      Parameters:
        `participant` - `Participant` whose audio status has changed.
        `audioStatus` - New audio `ParticipantMediaStatus` status.

    - #### onParticipantHandRaised

          void onParticipantHandRaised​(Participant participant)

      Called to report that a participant has raised hand. A moderator can lower participant's hand, and unmute the participant to speak.
      Parameters:
        `participant` - `Participant` who has raised hand during the conference call.

    - #### onParticipantHandLowered

          void onParticipantHandLowered​(Participant participant)

      Called to report that a participant's hand is lowered, either by the participant, or by a moderator who acknowledged the participant raising hand.
      Parameters:
        `participant` - `Participant` whose hand is lowered.

    - #### onParticipantCameraRemoteControlSupportChanged

          void onParticipantCameraRemoteControlSupportChanged​(Participant participant)

      Called to report that a participant's camera remote control support changed.
      Parameters:
        `participant` - Participant whose camera remote control support changed.